org.apache.xerces.xs

## Interface XSComplexTypeDefinition

- All Superinterfaces:
    XSObject, XSTypeDefinition

      public interface XSComplexTypeDefinition
      extends XSTypeDefinition

  This interface represents the Complex Type Definition schema component.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `CONTENTTYPE_ELEMENT` Represents an element-only content type.
    `static short` | `CONTENTTYPE_EMPTY` Represents an empty content type.
    `static short` | `CONTENTTYPE_MIXED` Represents a mixed content type.
    `static short` | `CONTENTTYPE_SIMPLE` Represents a simple content type.

    - ### Fields inherited from interface org.apache.xerces.xs.XSTypeDefinition

      `COMPLEX_TYPE, SIMPLE_TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAbstract()` [abstract]: a boolean.
    `XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
    `XSObjectList` | `getAssertions()` A sequence of [assertions] or an empty `XSObjectList`.
    `XSObjectList` | `getAttributeUses()` A set of attribute uses if it exists, otherwise an empty `XSObjectList`.
    `XSWildcard` | `getAttributeWildcard()` An attribute wildcard if it exists, otherwise `null`.
    `short` | `getContentType()` [content type]: one of empty (`CONTENTTYPE_EMPTY`), a simple type definition (`CONTENTTYPE_SIMPLE`), mixed ( `CONTENTTYPE_MIXED`), or element-only ( `CONTENTTYPE_ELEMENT`).
    `short` | `getDerivationMethod()` [derivation method]: either `DERIVATION_EXTENSION`, `DERIVATION_RESTRICTION`, or `DERIVATION_NONE` (see `XSConstants`).
    `XSOpenContent` | `getOpenContent()` An open content
    `XSParticle` | `getParticle()` A particle for a mixed or element-only content model, otherwise `null`.
    `short` | `getProhibitedSubstitutions()` [prohibited substitutions]: A subset of {extension, restriction} or `DERIVATION_NONE` represented as a bit flag (see `XSConstants`).
    `XSSimpleTypeDefinition` | `getSimpleType()` A simple type definition corresponding to a simple content model, otherwise `null`.
    `boolean` | `isProhibitedSubstitution(short restriction)` [prohibited substitutions]: a subset of {extension, restriction}

    - ### Methods inherited from interface org.apache.xerces.xs.XSTypeDefinition

      `derivedFrom, derivedFromType, getAnonymous, getBaseType, getContext, getFinal, getTypeCategory, isFinal`

    - ### Methods inherited from interface org.apache.xerces.xs.XSObject

      `getName, getNamespace, getNamespaceItem, getType`

- - ### Field Detail

    - #### CONTENTTYPE_EMPTY

          static final short CONTENTTYPE_EMPTY

      Represents an empty content type. A content type with the distinguished value empty validates elements with no character or element information item children.
      See Also:
        Constant Field Values

    - #### CONTENTTYPE_SIMPLE

          static final short CONTENTTYPE_SIMPLE

      Represents a simple content type. A content type which is simple validates elements with character-only children.
      See Also:
        Constant Field Values

    - #### CONTENTTYPE_ELEMENT

          static final short CONTENTTYPE_ELEMENT

      Represents an element-only content type. An element-only content type validates elements with children that conform to the supplied content model.
      See Also:
        Constant Field Values

    - #### CONTENTTYPE_MIXED

          static final short CONTENTTYPE_MIXED

      Represents a mixed content type.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDerivationMethod

          short getDerivationMethod()

      [derivation method]: either `DERIVATION_EXTENSION`, `DERIVATION_RESTRICTION`, or `DERIVATION_NONE` (see `XSConstants`).

    - #### getAbstract

          boolean getAbstract()

      [abstract]: a boolean. Complex types for which `abstract` is true must not be used as the type definition for the validation of element information items.

    - #### getAttributeUses

          XSObjectList getAttributeUses()

      A set of attribute uses if it exists, otherwise an empty `XSObjectList`.

    - #### getAttributeWildcard

          XSWildcard getAttributeWildcard()

      An attribute wildcard if it exists, otherwise `null`.

    - #### getContentType

          short getContentType()

      [content type]: one of empty (`CONTENTTYPE_EMPTY`), a simple type definition (`CONTENTTYPE_SIMPLE`), mixed ( `CONTENTTYPE_MIXED`), or element-only ( `CONTENTTYPE_ELEMENT`).

    - #### getSimpleType

          XSSimpleTypeDefinition getSimpleType()

      A simple type definition corresponding to a simple content model, otherwise `null`.

    - #### getParticle

          XSParticle getParticle()

      A particle for a mixed or element-only content model, otherwise `null`.

    - #### isProhibitedSubstitution

          boolean isProhibitedSubstitution(short restriction)

      [prohibited substitutions]: a subset of {extension, restriction}
      Parameters:
        `restriction` - Extension or restriction constants (see `XSConstants`).
      Returns:
        True if `restriction` is a prohibited substitution, otherwise false.

    - #### getProhibitedSubstitutions

          short getProhibitedSubstitutions()

      [prohibited substitutions]: A subset of {extension, restriction} or `DERIVATION_NONE` represented as a bit flag (see `XSConstants`).

    - #### getAnnotations

          XSObjectList getAnnotations()

      A sequence of [annotations] or an empty `XSObjectList`.

    - #### getOpenContent

          XSOpenContent getOpenContent()

      An open content

    - #### getAssertions

          XSObjectList getAssertions()

      A sequence of [assertions] or an empty `XSObjectList`.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.